import { AfterViewInit, Injector } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { ILayoutManagerComponent } from '../../../interfaces/layout-manager-component.interface';
import { OFormLayoutManagerMode } from '../../../interfaces/o-form-layout-manager-mode.interface';
import { DialogService } from '../../../services/dialog.service';
import { OFormLayoutManagerContentDirective } from '../directives/o-form-layout-manager-content.directive';
import { OFormLayoutManagerBase } from '../o-form-layout-manager-base.class';
import * as i0 from "@angular/core";
export declare class OFormLayoutDialogComponent implements OFormLayoutManagerMode, AfterViewInit {
    dialogRef: MatDialogRef<OFormLayoutDialogComponent>;
    protected injector: Injector;
    formLayoutManager: OFormLayoutManagerBase;
    queryParams: any;
    params: object;
    urlSegments: any[];
    label: string;
    title: string;
    data: any;
    dialogTitleSeparator: string;
    protected component: any;
    protected fullscreen: boolean;
    protected dialogService: DialogService;
    protected showFullscreenButton: any;
    contentDirective: OFormLayoutManagerContentDirective;
    constructor(dialogRef: MatDialogRef<OFormLayoutDialogComponent>, injector: Injector, data: any);
    ngAfterViewInit(): void;
    setFullscreenDialog(): void;
    updateNavigation(data: any): void;
    updateActiveData(data: any): void;
    closeDialog(options?: any): void;
    getRouteOfActiveItem(): any[];
    getParams(): any;
    getFormCacheData(): any;
    isMainComponent(comp: ILayoutManagerComponent): boolean;
    closeDetail(options: any): void;
    getDataToStore(): any;
    setModifiedState(formAttr: string, modified: boolean, confirmExit: boolean): void;
    canAddDetailComponent(): boolean;
    getIdOfActiveItem(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<OFormLayoutDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OFormLayoutDialogComponent, "o-form-layout-dialog", never, {}, {}, never, never, true, never>;
}
